# Schema Docs

- [1. [Optional] Property root > fruits](#fruits)
  - [1.1. root > fruits > fruits items](#autogenerated_heading_2)
- [2. [Optional] Property root > vegetables](#vegetables)
  - [2.1. root > vegetables > vegetables items](#autogenerated_heading_3)
  - [2.2. At least one of the items must be](#autogenerated_heading_4)

|                           |                                                                           |
| ------------------------- | ------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                  |
| **Required**              | No                                                                        |
| **Additional properties** | [[Any type: allowed]](# "Additional Properties of any type are allowed.") |

**Description:** A little food fun

<details>
<summary>
<strong> <a name="fruits"></a>1. [Optional] Property root > fruits</strong>  

</summary>
<blockquote>

|              |                   |
| ------------ | ----------------- |
| **Type**     | `array of string` |
| **Required** | No                |

**Description:** 5 to 8 fruits that you like

|                      | Array restrictions |
| -------------------- | ------------------ |
| **Min items**        | 5                  |
| **Max items**        | 8                  |
| **Items unicity**    | True               |
| **Additional items** | False              |
| **Tuple validation** | See below          |

| Each item of this array must be | Description |
| ------------------------------- | ----------- |
| [fruits items](#fruits_items)   | -           |

### <a name="autogenerated_heading_2"></a>1.1. root > fruits > fruits items

|              |          |
| ------------ | -------- |
| **Type**     | `string` |
| **Required** | No       |

</blockquote>
</details>

<details>
<summary>
<strong> <a name="vegetables"></a>2. [Optional] Property root > vegetables</strong>  

</summary>
<blockquote>

|              |         |
| ------------ | ------- |
| **Type**     | `array` |
| **Required** | No      |

|                      | Array restrictions |
| -------------------- | ------------------ |
| **Min items**        | N/A                |
| **Max items**        | N/A                |
| **Items unicity**    | False              |
| **Additional items** | False              |
| **Tuple validation** | See below          |

| Each item of this array must be       | Description |
| ------------------------------------- | ----------- |
| [vegetables items](#vegetables_items) | -           |

### <a name="autogenerated_heading_3"></a>2.1. root > vegetables > vegetables items

|                           |                                                                           |
| ------------------------- | ------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                  |
| **Required**              | No                                                                        |
| **Additional properties** | [[Any type: allowed]](# "Additional Properties of any type are allowed.") |

### <a name="autogenerated_heading_4"></a>2.2. At least one of the items must be

|              |         |
| ------------ | ------- |
| **Type**     | `const` |
| **Required** | No      |

Specific value: `"eggplant"`

</blockquote>
</details>

----------------------------------------------------------------------------------------------------------------------------
Generated using [json-schema-for-humans](https://github.com/coveooss/json-schema-for-humans)