# Schema Docs

- [1. [Optional] Property root > a_gift](#a_gift)
- [2. [Optional] Property root > file_prefix](#file_prefix)
- [3. [Optional] Property root > anchor_with_slash](#anchor_with_slash)
  - [3.1. [Optional] Property root > anchor_with_slash > propertyA](#anchor_with_slash_propertyA)
- [4. [Optional] Property root > anchor_no_slash](#anchor_no_slash)
  - [4.1. root > anchor_no_slash > anchor_no_slash items](#autogenerated_heading_2)
- [5. [Optional] Property root > anchor_nested_reference](#anchor_nested_reference)
- [6. [Optional] Property root > same_file_anchor_with_slash](#same_file_anchor_with_slash)
- [7. [Optional] Property root > same_file_anchor_no_slash](#same_file_anchor_no_slash)
- [8. [Optional] Property root > same_file_nested_reference](#same_file_nested_reference)
- [9. [Optional] Property root > other_file_anchor](#other_file_anchor)
  - [9.1. [Optional] Property root > other_file_anchor > with_wrap](#other_file_anchor_with_wrap)
- [10. [Optional] Property root > other_file_dot_anchor](#other_file_dot_anchor)
- [11. [Optional] Property root > other_file_dot_dot_anchor](#other_file_dot_dot_anchor)
- [12. [Optional] Property root > other_file_only](#other_file_only)
  - [12.1. [Required] Property root > other_file_only > not_a_string](#other_file_only_not_a_string)
    - [12.1.1. Must **not** be](#autogenerated_heading_3)
- [13. [Optional] Property root > multi_hierarchy_reference](#multi_hierarchy_reference)
  - [13.1. [Optional] Property root > multi_hierarchy_reference > propertyA](#multi_hierarchy_reference_propertyA)

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                                          |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |

**Description:** Testing $ref

<details>
<summary>
<strong> <a name="a_gift"></a>1. [Optional] Property root > a_gift</strong>  

</summary>
<blockquote>

|                |                    |
| -------------- | ------------------ |
| **Type**       | `string`           |
| **Defined in** | #/definitions/gift |

**Description:** A gift, or is it?

</blockquote>
</details>

<details>
<summary>
<strong> <a name="file_prefix"></a>2. [Optional] Property root > file_prefix</strong>  

</summary>
<blockquote>

|                        |                   |
| ---------------------- | ----------------- |
| **Type**               | `string`          |
| **Same definition as** | [a_gift](#a_gift) |

**Description:** A gift, or is it?

</blockquote>
</details>

<details>
<summary>
<strong> <a name="anchor_with_slash"></a>3. [Optional] Property root > anchor_with_slash</strong>  

</summary>
<blockquote>

|                           |                                                                                                          |
| ------------------------- | -------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                 |
| **Additional properties** | [![Not allowed](https://img.shields.io/badge/Not%20allowed-red)](# "Additional Properties not allowed.") |
| **Defined in**            | #/definitions/object_def                                                                                 |

<details>
<summary>
<strong> <a name="anchor_with_slash_propertyA"></a>3.1. [Optional] Property root > anchor_with_slash > propertyA</strong>  

</summary>
<blockquote>

|          |          |
| -------- | -------- |
| **Type** | `string` |

**Description:** Description for object_def/items/propertyA

</blockquote>
</details>

</blockquote>
</details>

<details>
<summary>
<strong> <a name="anchor_no_slash"></a>4. [Optional] Property root > anchor_no_slash</strong>  

</summary>
<blockquote>

|                |                        |
| -------------- | ---------------------- |
| **Type**       | `array of string`      |
| **Defined in** | #definitions/array_def |

**Description:** Description for array_def

|                      | Array restrictions |
| -------------------- | ------------------ |
| **Min items**        | N/A                |
| **Max items**        | N/A                |
| **Items unicity**    | False              |
| **Additional items** | False              |
| **Tuple validation** | See below          |

| Each item of this array must be                 | Description |
| ----------------------------------------------- | ----------- |
| [anchor_no_slash items](#anchor_no_slash_items) | -           |

### <a name="autogenerated_heading_2"></a>4.1. root > anchor_no_slash > anchor_no_slash items

|          |          |
| -------- | -------- |
| **Type** | `string` |

</blockquote>
</details>

<details>
<summary>
<strong> <a name="anchor_nested_reference"></a>5. [Optional] Property root > anchor_nested_reference</strong>  

</summary>
<blockquote>

|                |                             |
| -------------- | --------------------------- |
| **Type**       | `string`                    |
| **Defined in** | #/definitions/reference_def |

</blockquote>
</details>

<details>
<summary>
<strong> <a name="same_file_anchor_with_slash"></a>6. [Optional] Property root > same_file_anchor_with_slash</strong>  

</summary>
<blockquote>

|                |                                         |
| -------------- | --------------------------------------- |
| **Type**       | `string`                                |
| **Defined in** | references.json#/definitions/string_def |

**Description:** Description for string_def

</blockquote>
</details>

<details>
<summary>
<strong> <a name="same_file_anchor_no_slash"></a>7. [Optional] Property root > same_file_anchor_no_slash</strong>  

</summary>
<blockquote>

|                           |                                                                                                          |
| ------------------------- | -------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                 |
| **Additional properties** | [![Not allowed](https://img.shields.io/badge/Not%20allowed-red)](# "Additional Properties not allowed.") |
| **Same definition as**    | [anchor_with_slash](#anchor_with_slash)                                                                  |

</blockquote>
</details>

<details>
<summary>
<strong> <a name="same_file_nested_reference"></a>8. [Optional] Property root > same_file_nested_reference</strong>  

</summary>
<blockquote>

|                        |                                                     |
| ---------------------- | --------------------------------------------------- |
| **Type**               | `string`                                            |
| **Same definition as** | [anchor_nested_reference](#anchor_nested_reference) |

</blockquote>
</details>

<details>
<summary>
<strong> <a name="other_file_anchor"></a>9. [Optional] Property root > other_file_anchor</strong>  

</summary>
<blockquote>

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                                          |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |
| **Defined in**            | with_descriptions.json#/definitions/gift                                                                                          |

**Description:** The delivery is a gift, no prices displayed

<details>
<summary>
<strong> <a name="other_file_anchor_with_wrap"></a>9.1. [Optional] Property root > other_file_anchor > with_wrap</strong>  

</summary>
<blockquote>

|          |           |
| -------- | --------- |
| **Type** | `boolean` |

</blockquote>
</details>

</blockquote>
</details>

<details>
<summary>
<strong> <a name="other_file_dot_anchor"></a>10. [Optional] Property root > other_file_dot_anchor</strong>  

</summary>
<blockquote>

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                                          |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |
| **Same definition as**    | [other_file_anchor](#other_file_anchor)                                                                                           |

**Description:** The delivery is a gift, no prices displayed

</blockquote>
</details>

<details>
<summary>
<strong> <a name="other_file_dot_dot_anchor"></a>11. [Optional] Property root > other_file_dot_dot_anchor</strong>  

</summary>
<blockquote>

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                                          |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |
| **Same definition as**    | [other_file_anchor](#other_file_anchor)                                                                                           |

**Description:** The delivery is a gift, no prices displayed

</blockquote>
</details>

<details>
<summary>
<strong> <a name="other_file_only"></a>12. [Optional] Property root > other_file_only</strong>  

</summary>
<blockquote>

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                                          |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |
| **Defined in**            | combining_not.json                                                                                                                |

**Description:** Test schema with a not

<details>
<summary>
<strong> <a name="other_file_only_not_a_string"></a>12.1. [Required] Property root > other_file_only > not_a_string</strong>  

</summary>
<blockquote>

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `combining`                                                                                                                       |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |

#### <a name="autogenerated_heading_3"></a>12.1.1. Must **not** be

|          |          |
| -------- | -------- |
| **Type** | `string` |

</blockquote>
</details>

</blockquote>
</details>

<details>
<summary>
<strong> <a name="multi_hierarchy_reference"></a>13. [Optional] Property root > multi_hierarchy_reference</strong>  

</summary>
<blockquote>

|                           |                                                                                                                                   |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| **Type**                  | `object`                                                                                                                          |
| **Additional properties** | [![Any type: allowed](https://img.shields.io/badge/Any%20type-allowed-green)](# "Additional Properties of any type are allowed.") |
| **Defined in**            | reference_schemas/intermediate.json#/properties/cross_file_reference                                                              |

<details>
<summary>
<strong> <a name="multi_hierarchy_reference_propertyA"></a>13.1. [Optional] Property root > multi_hierarchy_reference > propertyA</strong>  

</summary>
<blockquote>

|          |          |
| -------- | -------- |
| **Type** | `string` |

**Description:** Contents of propertyA in final.json

</blockquote>
</details>

</blockquote>
</details>

----------------------------------------------------------------------------------------------------------------------------
Generated using [json-schema-for-humans](https://github.com/coveooss/json-schema-for-humans)